PYROMA(1)

NAME
pyroma - Python packaging quality checker

SYNOPSIS
pyroma [-d <directory>|-f <file>|-p <package>]

DESCRIPTION

pyroma/pyroma3 is a program that provides a rating of how well a Python project complies with the best practices of the Python packaging ecosystem, primarily PyPI, pip, Distribute etc, as well as a list of issues that could be improved. It can check packages locally and on PyPI.

OPTIONS

-h, --help
    Show summary of options.

-a, --auto
    Select mode automatically (default).

-d, --directory <project directory>
    Run pyroma on a module in a project directory.

-f, --file <distribution file>
    Run pyroma on a distribution file.

-p, --pypi <PyPI package name>
    Run pyroma on a package on PyPI.

More detailed documentation is available at
    https://bitbucket.org/regebro/pyroma

AUTHOR
Pyroma was written by Lennart Regebro <regebro@gmail.com>

This manual page was written by Federico Ceratto <federico.ceratto@gmail.com> for the Debian project and may be used by others.